From 4bc0a5a4ab010c1c57b98794d9c7917166d89ad5 Mon Sep 17 00:00:00 2001
From: Manuel Kniep <m.kniep@web.de>
Date: Mon, 4 Aug 2014 17:15:14 +0200
Subject: [PATCH] Add missing PG_RETURN_UINT16 macro

As we already have the PG_GETARG_UINT16 macro for uint16 data types
it makes sense to also have the PG_RETURN_UINT16 in place.
---
 src/include/fmgr.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/include/fmgr.h b/src/include/fmgr.h
index a901770..8c123fb 100644
--- a/src/include/fmgr.h
+++ b/src/include/fmgr.h
@@ -298,6 +298,7 @@ extern struct varlena *pg_detoast_datum_packed(struct varlena * datum);
 #define PG_RETURN_INT32(x)	 return Int32GetDatum(x)
 #define PG_RETURN_UINT32(x)  return UInt32GetDatum(x)
 #define PG_RETURN_INT16(x)	 return Int16GetDatum(x)
+#define PG_RETURN_UINT16(x)	 return UInt16GetDatum(x)
 #define PG_RETURN_CHAR(x)	 return CharGetDatum(x)
 #define PG_RETURN_BOOL(x)	 return BoolGetDatum(x)
 #define PG_RETURN_OID(x)	 return ObjectIdGetDatum(x)
-- 
1.8.5.2 (Apple Git-48)

